NSX-T Data Center REST API

Patch segment security profile binding map

Create a new segment security profile binding map if the given security
profile binding map does not exist. Otherwise, patch the existing segment
security profile binding map.
For objects with no binding maps, default profile is applied.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/tier-1s/{tier-1-id}/segments/{segment-id}/segment-security-profile-binding-maps/{segment-security-profile-binding-map-id}
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id}/segments/{segment-id}/segment-security-profile-binding-maps/{segment-security-profile-binding-map-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
SegmentSecurityProfileBindingMap+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/tier-1s/tier1_1/segments/segment_1/segment-security-profile-binding-maps/segment_security_binding_map_1 { "spoofguard_profile_path": "/infra/spoofguard-profiles/spoofguardprofile_1", "segment_security_profile_path": "/infra/segment-security-profiles/segmentsecurityprofile_1" }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_segment

Additional Errors: